internal::source_body_leaf< Output, Body > Class Template Reference

The leaf for source_body. More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::source_body_leaf< Output, Body >:
Collaboration diagram for internal::source_body_leaf< Output, Body >:

## Public Member Functions

| source_body_leaf (const Body &_body)
bool | operator() (Output &output) __TBB_override
source_body_leaf * | clone () __TBB_override
Body | get_body ()
Public Member Functions inherited from internal::source_body< Output >
virtual | ~source_body ()

## Private Attributes

Body | body

## Detailed Description

### template<typename Output, typename Body>
class internal::source_body_leaf< Output, Body >

The leaf for source_body.

Definition at line 160 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## source_body_leaf()

template<typename Output , typename Body >

internal::source_body_leaf< Output, Body >::source_body_leaf | ( | const Body & | _body | ) |

inline

Definition at line 162 of file _flow_graph_body_impl.h.

: body(_body) { }
internal::source_body_leaf::body
Body body
Definition: _flow_graph_body_impl.h:172

## Member Function Documentation

## clone()

template<typename Output , typename Body >

source_body_leaf* internal::source_body_leaf< Output, Body >::clone | ( |  | ) |

inline virtual

Implements internal::source_body< Output >.

Definition at line 166 of file _flow_graph_body_impl.h.

{
return new source_body_leaf< Output, Body >(body);
}

References internal::source_body_leaf< Output, Body >::body.

## get_body()

template<typename Output , typename Body >

Body internal::source_body_leaf< Output, Body >::get_body | ( |  | ) |

inline

Definition at line 170 of file _flow_graph_body_impl.h.

{ return body; }

References internal::source_body_leaf< Output, Body >::body.

## operator()()

template<typename Output , typename Body >

bool internal::source_body_leaf< Output, Body >::operator() | ( | Output & | output | ) |

inline virtual

Implements internal::source_body< Output >.

Definition at line 164 of file _flow_graph_body_impl.h.

{ return body( output ); }

References internal::source_body_leaf< Output, Body >::body.

## Member Data Documentation

## body

template<typename Output , typename Body >

Body internal::source_body_leaf< Output, Body >::body

private

Definition at line 172 of file _flow_graph_body_impl.h.

Referenced by internal::source_body_leaf< Output, Body >::clone(), internal::source_body_leaf< Output, Body >::get_body(), and internal::source_body_leaf< Output, Body >::operator()().

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.